> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-column_privileges-table.md).

# Information Schema COLUMN\_PRIVILEGES Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `COLUMN_PRIVILEGES` table contains column privilege information derived from the [mysql.columns\_priv](/docs/server/reference/system-tables/the-mysql-database-tables/mysql-columns_priv-table.md) grant table.

It has the following columns:

| Column          | Description                                                                                                                                                              |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| GRANTEE         | In the format user\_name\@host\_name.                                                                                                                                    |
| TABLE\_CATALOG  | Always def.                                                                                                                                                              |
| TABLE\_SCHEMA   | Database name.                                                                                                                                                           |
| TABLE\_NAME     | Table name.                                                                                                                                                              |
| COLUMN\_NAME    | Column name.                                                                                                                                                             |
| PRIVILEGE\_TYPE | One of SELECT, INSERT, UPDATE or REFERENCES.                                                                                                                             |
| IS\_GRANTABLE   | Whether the user has the [GRANT OPTION](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md#the-grant-option-privilege) for this privilege. |

Similar information can be accessed with the [SHOW FULL COLUMNS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-columns.md) and [SHOW GRANTS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-grants.md) statements. See the [GRANT](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md) statement for details about privileges.

This information is also stored in the [columns\_priv](/docs/server/reference/system-tables/the-mysql-database-tables/mysql-columns_priv-table.md) table, in the `mysql` system database.

For a description of the privileges that are shown in this table, see [column privileges](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md#column-privileges).

## Example

In the following example, no column-level privilege has been explicitly assigned:

```sql
SELECT * FROM information_schema.COLUMN_PRIVILEGES;
Empty SET
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-column_privileges-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
